/*----------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
----------------------------------------------------------------------------*/

package RelMgmt.OrgRole;

import java.util.Vector;
import java.math.BigDecimal;

/** 
 * @author TogetherSoft
 * @stereotype role */
public class FacilityContractor extends RelMgmt.Party.OrgRole {
    public BigDecimal calcAvgCostConstructionContract() {
        return new BigDecimal(0);
    }

    public int calcAvgDurationConstructionContract() {
        return 0;
    }

    public Vector listConstructionContracts() {
        return new Vector();
    }

    public Vector listCharges() {
        return new Vector();
    }

    /**
     * @supplierCardinality 0..*
     * @clientCardinality 1
     */
    private FacilityMgmt.FacilityDevelTask.ConstructionContract lnkUnnamed1;

    /**
     * @label derivable
     * @supplierCardinality 0..*
     * @clientCardinality 1
     */
    private FacilityMgmt.FacilityDevelTask.ConstructionContractCharge lnkUnnamed;
}


